Subject: Re: [6lo] Genart last call review of draft-ietf-6lo-use-cases-12

From: Yong-Geun Hong <[email-masked]>
Date: Tue, 12 Jul 2022 10:31:47 +0900

Dear Peter Yee.

Thanks for your valuable reviews and comments on this draft.
And sorry for the late reply. I have acknowledged your email but due to
other business, I lost the chance to reply immediately.

During the update of this draft, I tried to resolve your comments in the
revision.
It is appreciated to check my response for your comments in lines.

You could find the revised version of this draft in here :
https://datatracker.ietf.org/doc/draft-ietf-6lo-use-cases

I appreciated your detailed reviews and comments.

Best regards

Yong-Geun.

2022년 4월 6일 (수) 오후 3:33, Peter Yee via Datatracker <[email-masked]>님이 작성:

> Reviewer: Peter Yee
> Review result: Ready with Issues
>
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
>
> For more information, please see the FAQ at
>
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
>
> Document: draft-ietf-6lo-use-cases-12
> Reviewer: Peter Yee
> Review Date: 2022-04-05
> IETF LC End Date: 2022-04-06
> IESG Telechat date: Not scheduled for a telechat
>
> Summary: This informational document describes various networking
> technologies
> that can be used in 6lo networks, their characteristics, and example use
> cases.
> There some issues and nits that should be address prior to publication.
> [Ready
> with issues]
>
> Major issues: None
>
> Minor issues:
>
> Page 7, 1st paragraph, 2nd sentence: “Internet” is not an application. And
> use
> of the Internet does not imply a requirement for high data rates either.
> I’d
> drop that so-called “application”.
>
[Yong-Geun] Drop "application"

>
> Page 7, 3rd paragraph, 3rd sentence: This is not a good reference. That is
> a
> specification that makes the claim given in the sentence, but it is not
> substantiated here or there. Furthermore, being based on the broken
> security in
> IEEE 802.15.4 (ask Tero Kivinen) at the time of IEEE 1901.2’s publication
> is
> probably not a selling point now. If IEEE 1902.2 supports layering over an
> IEEE
> 802.15.4-2020 network possibly with IEEE 802.15.4y (aka Security Next
> Generation, which added stronger crypto), then it might be worth
> mentioning.
>
[Yong-Geun] Drop the two sentences (Usage example and security parts).
                     Delete RFC 8036

> Page 7, 4th paragraph, last sentence: in regards to “frequencies”, I assume
> that the 500 kHz is not in reference to the AC frequency but rather the
> signaling frequency. It wasn’t completely clear in this context but may
> not be
> worth addressing either.
>
 [Yong-Geun] Change "frequencies" to "frequency bands"

>
> Page 8, Table 2: for security requirement, how does “high” security differ
> from
> other security? These terms are a bit nebulous.
>
 [Yong-Geun] Delete "Security Requirement" due to ambiguity

>
> Page 8, Table 2: for data rate, how does “small” compare to “infrequent”? I
> don’t know how to rank these terms. I’m not sure “Data Rate” is the right
> row
> header for the values given.
>
 [Yong-Geun] Change "Data Rate" to "Transmission Frequency Feature"
                     Change "Small" in NFC to "Infrequent"

>
> Page 11, 1st bullet item, 4th sentence: instead of “different levels of
> security”, consider using “other security mechanisms”. I have troubles
> comparing the levels of “hardware-level security” and “certificates for
> initial
> booting process”.
>
 [Yong-Geun] Change "different levels of security" to "other security
mechanisms"

>
> Page 12, 12th bullet item: what does “energy friendliness” mean? Perhaps
> you
> could use “low energy usage” if that’s what you are trying to convey?
>
 [Yong-Geun] Change “energy friendliness” to “low energy usage”

>
> Page 16, section 5.3, 1st paragraph, 2nd sentence: I will point out that
> in the
> home environment, these cordless telephone base stations are almost never
> connected to a data network. Thus, it seems that pre-existing Fixed Parts
> aren’t particularly valuable to this scenario. Use of DECT-ULE for 6lo use
> cases will almost certainly require a Fixed Part that has a data network
> connection.
>
 [Yong-Geun] Reflect the comment and add the sentence.
"In this case, additionally, the Fixed Part must have a data network
connection"

>
> Page 18, section 5.5, 2nd paragraph, 2nd sentence: I’m confused here. You
> just
> mentioned wearable devices. Now you say that these devices are densely
> installed at home. Which one is it? Or are these *other* devices that are
> talking about in this sentence? If so, change “The” to “Other”.
>
 [Yong-Geun] Change the sentence “The 6lo devices are densely installed at
home for movement detection.”
to “Other 6lo devices are densely installed at home for movement detection.”

>
> Page 18, section 5.5, 3rd paragraph, last sentence: why do the hackers
> have to
> be hidden? LTE traffic can be heard for quite a distance. A listening
> hacker
> wouldn’t have to be hidden. Where a hidden listener would be required
> would be
> near an NFC connection because of the very short distances involved and the
> difficulty with placing a listening device near enough to pick up the
> emanations.
>
 [Yong-Geun] We tried to capture the natural behavior of hackers. They
don’t want to show their features in public.
                      We delete the expression “Hidden”

>
> Page 26, Appendix A: I don’t understand how these dimensions fit in with
> section 3. Why aren’t they merged? These seem like additional
> considerations.
> If they don’t belong in section 3, then how do they tie back to the rest
> of the
> document?
>
 [Yong-Geun] In old versions of this document, the content in Appendix A is
located in the main body. During progressing this document and resolving
the comments, it is moved to Appendix A. If you prefer the moving of these
contents, I agree with your suggestion. I would ask the directions in the
next meeting.

>
> Page 27, 4th bullet item, 2nd sentence: a buffering mechanism isn’t
> strictly
> required. Another option would be to tell the application to throttle its
> generation of data, if appropriate to the application. Or compression of
> the
> data might suffice.
>
 [Yong-Geun] Add other options such as telling the application to throttle
its generation of data and compression of the data.

>
> Page 27, 7th bullet item, 1st sentence: I would delete “6lo”. I would think
> that time synchronization would be importance to the application making up
> the
> use case, regardless of the use of 6lo. For the second sentence, I don’t
> understand what “transferred with time synchronization” means. If it has
> been
> recorded with “exact time”, then a timestamp presumably exists. Then it’s
> not
> clear what time synchronization is required for.
>
[Yong-Geun] Change the first sentence “The requirement of time
synchronization of the upper layer service is dependent on the 6lo use
case.” to “The requirement of time synchronization of the upper layer
service is dependent on the use case.”
[Yong-Geun] If the timestamp exists, the expression of “must be transferred
with time synchronization” is not necessary and it can be removed.

>
> Page 27, 9th bullet item, last sentence: How do continuous and periodic
> work
> together? The latter would seem to imply a discontinuity. It’s not clear
> what
> this sentence means.
>
 [Yong-Geun] Change the sentence “Some 6lo use case may require continuous
data and periodic data transmission.” to “Some 6lo use case may require
continuous data transmission and discontinuous data transmission.”

>
> Page 27, 10th bullet item: What are these “external operations”?
>
 [Yong-Geun] The external operation is the operations which are provided by
other layers or other components except for 6lo functions.

>
> Page 28, 1st bullet item: Are you implying that PLC and MS/TP devices don’t
> require firmware updates because they aren’t “over the air”?
>
 [Yong-Geun] No, it is literally a wired connection such as PLC and MS/TP.
We don’t describe the requirements of firmware updated in this bullet.

>
> Page 28, 2nd bullet item, last sentence: These aren’t necessarily
> contradictory. You’ve already pointed out the PLC networks are easy to
> deploy
> because of the existing power wires. And these devices are mains powered.
> Smart
> grid meters, on the other hand, are mains powered but use a wireless
> connection
> for easy and quick deployment. I’d probably delete this sentence or
> consider
> rethinking it.
>
 [Yong-Geun] Agree, delete the last sentence.

> Nits/editorial comments:
  [Yong-Geun]  I reflect your comments almost.

>
> General:
>
> For each use of “e.g.” (particularly) and “i.e.”, ensure that a comma
> follows.
>
> Drop all uses of “etc.”. In almost every case, it appears after something
> else
> in the sentence that already was indicative of the incomplete nature of the
> preceding list.
>
> Specific:
>
> Page 3, first (partial?) paragraph, 2nd sentence: Change “2016” to “2021”
> in
> “IEEE Std 802.15.9-2016”. The 2016 specification was a Recommended
> Practice and
> has been replaced by the 2021 version, which is a Standard. Insert “a”
> before
> “multiplexing”.
>
> Page 3, first (partial?) paragraph, 5th sentence: append an “s” to
> “specification”.
>
> Page 3, last bullet item: change “of” to “about”.
>
> Page 4, section 2.1, last sentence: delete “The”.
>
> Page 4, section 2.2, 1st paragraph, 2nd sentence: insert “The” before
> “Bluetooth SIG”.
>
> Page 4, section 2.2, 1st paragraph, 3rd sentence: append an “s” after
> “connection”.
>
> Page 4, section 2.2, 2nd paragraph, last sentence: change “is being” to
> “has
> been”, considering that RFC 9159 has been published.
>
> Page 5, section 2.3, 1st paragraph: change “low power” to “low-power”.
> Change
> “circuit switched” to “circuit-switched”. Change “packet mode” to
> “packet-mode”.
>
> Page 5, section 2.3, 3rd paragraph, 3rd sentence: insert “and” before
> security.
>
> Page 5, section 2.3, 5th paragraph, 2nd sentence: append a comma to
> “However”.
>
> Page 6, section 2.5, 1st paragraph, 2nd sentence: insert a hyphen between
> “consumer” and “level”.
>
> Page 6, section 2.6, 2nd paragraph: move “below” after “table”.
>
> Page 7, Table 1: insert a space into the IEEE specification names (e.g.,
> IEEE1901 -> IEEE 1901).
>
> Page 7, 1st paragraph, 1st sentence: insert “it” before “is”. Before the
> word
> “effective”, considering inserting “only” or “also” depending on what makes
> sense in the context of the “but”.
>
> Page 7, 1st paragraph, 2nd sentence: append an “s” after “rate”. Delete the
> colon. Make “Audio” and “Gaming” lower case.
>
> Page 7, 2nd paragraph, 3rd sentence: insert “IEEE 1901” at the beginning
> of the
> sentence unless all broadband networks operate on OFDM. If that’s the case,
> then delete the sentence entirely.
>
> Page 7, 3rd paragraph, 1st sentence: change “less” to “a lower”.
>
> Page 7, 3rd paragraph, 2nd sentence: delete the colon. Rewrite the
> applications
> in lower case. Insert “and” before “smart grid”.
>
> Page 7, 3rd paragraph, 3rd sentence: delete “standard”.
>
> Page 8, section 2.7, 1st sentence: insert “the” before “above”. Change
> “clauses” to “subsections”. IETF doesn’t use the term clause like IEEE
> does.
>
> Page 8, section 2.7, 2nd sentence: insert “the” before “dominant”.
>
> Page 9, section 3, title: insert “an” before “IPv6”.
>
> Page 9, section 3, 1st paragraph, last sentence: insert “the” before
> “6LoWPAN”.
>
> Page 9, 1st bullet item, 1st sentence: insert “the” before “Addressing” and
> make “Addressing” lower case. Append a comma after “addresses”.
>
> Page 9, 1st bullet item, last sentence: insert “for” before “when”. Append
> a
> comma to “broadcast”. Delete “and”. Change “try” to “trying”.
>
> Page 9, 2nd bullet item, 3rd sentence: change “most” to “greatest”. Change
> “optimum” to “optimal”.
>
> Page 9, 2nd bullet item, 4th sentence: insert “and” between “[RFC8163]” and
> “[RFC8105]”.
>
> Page 10, 3rd bullet item, last sentence: append “RFC” after “latter” to
> make it
> clear what is the latter.
>
> Page 11, 1st partial paragraph, 1st partial sentence: insert “and” between
> “[RFC8163],” and “[RFC8105]”.
>
> Page 11, 1st partial paragraph, 1st full sentence: change “to” to “also”.
> Change “compress” to “compressing”. Delete the “also” following that. Put a
> period at the end of the sentence.
>
> Page 11, 1st bullet item, 4th sentence: insert “The” before “6lo”. Change
> “is
> working” to “has worked”. Change “at” to “in the”.
>
> Page 11, 1st bullet item, 4th sentence: insert “the” before “initial”.
>
> Page 11, 2nd bullet item, 2nd sentence: insert “the” before “ESC”.
>
> Page 11, section 4.1, 1st paragraph, 1st sentence: delete “the”. Delete
> “standard”.
>
> Page 11, section 4.1, 1st paragraph, 3rd sentence: insert “mains-“ before
> “powered”. Both types of devices are powered. You could also use “grid-“, I
> guess, since “mains” is more of a British usage.
>
> Page 11, section 4.1, bullet list: don’t capitalize the items in the bullet
> list beyond the first word except where those are well-known terms that
> require
> the capitalization. Even AMI doesn’t appear to be consistently used with
> capitalization.
>
> Page 12, 6th bullet item: append a comma after “Conditioning”.
>
> Page 12, 8th bullet item: change “IEEE802” to “IEEE P802” or “IEEE 802”.
> The
> “P” standards for project. Insert “and” before “ETSI”.
>
> Page 12, 14th bullet item: change “long term” to “long-term”.
>
> Page 12, last paragraph: expand the use of “FAN”. I presume it is “Field
> Area
> Networks”.
>
> Page 13, section 4.3, 1st paragraph, 2nd sentence: change the hyphen in
> “highly-reliable” to a space.
>
> Page 13, section 4.3, 1st paragraph, 4th sentence: delete an extraneous
> space
> after appending the previously noted comma after “e.g.”.
>
> Page 13, section 4.3, bullet list: Use lower case after the first word in
> each
> item.
>
> Page 14, section 4.4, 1st paragraph, 1st sentence: insert “the” before
> “HomePlug”. Change “long distance” to “long-distance”.
>
> Page 15, 1st paragraph: insert “The” before “Netricity”. Delete “PLC
> standard”.
>
> Page 15, 1st paragraph, 2nd sentence: insert “an” before “IPv6”.
>
> Page 15, 1st paragraph, 3rd sentence: expand the acronym “MRHOF”. Change
> “the
> own” to “their own”.
>
> Page 15, section 5.1, 2nd paragraph: change “Variety” to “A variety”.
> Append a
> comma after “curtains”.
>
> Page 16, 1st paragraph, 3rd sentence: change “specially” to “especially”.
>
> Page 16, section 5.2, 1st paragraph, last sentence: append a comma
> following
> “wellness”.
>
> Page 16, last paragraph, last sentence: change “the” to “this”.
>
> Page 17, section 5.3, 3rd sentence: change “specially” to “especially”.
> Insert
> “and” before “healthcare”.
>
> Page 17, section 5.4, 1st paragraph, 2nd sentence: append a comma after
> “open”.
>
> Page 17, section 5.4, 1st paragraph, 3rd sentence: insert a hyphen between
> “low” and “cost”. Then append a comma after “low-cost”. Delete the hyphen
> in
> “inter-connect”.
>
> Page 17, section 5.4, 1st paragraph, last sentence: change “high speed” to
> “high-speed”.
>
> Page 18, 1st paragraph, last sentence: append a comma after “home-run”.
> Change
> “Cat-5 style” to “Cat 5-style”
>
> Page 18, 3rd paragraph, last sentence: change “low cost” to “low-cost”.
>
> Page 18, section 5.5, 2nd paragraph, 4th sentence: change “LCDs” to
> “displays”
> so that there isn’t an unnecessary constraint on the display technology in
> the
> example.
>
> Page 19, section 5.6, 2nd paragraph, last sentence: make the list of items
> following “area of” lower case. Append a comma after “management”.
>
> Page 19, section 5.6, 3rd paragraph, 2nd sentence: insert “a” before “WAN”.
> Append a comma following “Ethernet”.
>
> Page 19, section 5.6, 4th paragraph, 1st sentence: insert “and” between
> “labor”
> and “operational”.
>
> Page 19, section 5.6, 4th paragraph, 2nd sentence: change “charge” to
> “charging”. Append a comma after “theft”.
>
> Page 19, section 5.6, last paragraph, 1st sentence: append an “s” to
> “rate”.
> Then append a comma to “rates”.
>
> Page 20, 1st paragraph, 1st sentence: insert “A” before “WASA”. Append an
> “s”
> to “amount”. Insert “a” before “wide”.
>
> Page 20, 1st paragraph, 2nd sentence: append a comma after “controlling”.
>
> Page 26, Appendix A, 1st paragraph, 1st sentence: Delete “The”.
>
> Page 27, 4th bullet item, 1st sentence: change “more” to “a higher”.
>
> Page 27, 6th bullet item, 2nd sentence: insert “be” before “moved.
>
> Page 27, 8th bullet item: append a comma after “example”. Delete “service”.
>
> Page 27, 9th bullet item, 2nd sentence: append an “s” to “case”. Append an
> “s”
> to “length”.
>
> Page 27, 10th bullet item: change the second “the” to “a”.
>
> Page 28, 1st bullet item, 2nd sentence: append a comma after “cases”.
> Change
> “are” to “is”.
>
> Page 28, 2nd bullet item, 2nd sentence: append an “s” after “requirement”.
> Insert “the” before “6lo”.
>
>
>
>